<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventEmailsTable extends Migration
{
    public function up(): void
    {
        Schema::create('event_emails', function (Blueprint $table): void {
            $table->increments('id');
            $table->foreignId('event_id');
            $table->unsignedTinyInteger('type');
            $table->string('subject')->nullable();
            $table->text('body')->nullable();
            $table->string('sender_address')->nullable();
            $table->string('reply_to_address')->nullable();
            $table->timestamps();
        });
    }
}
